Package org.eclipse.e4.ui.css.core.impl.sac

# Class CSSDirectAdjacentSelectorImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.sac.AbstractSiblingSelector
org.eclipse.e4.ui.css.core.impl.sac.CSSDirectAdjacentSelectorImpl

All Implemented Interfaces:
  `ExtendedSelector`, `org.w3c.css.sac.Selector`, `org.w3c.css.sac.SiblingSelector`

public class CSSDirectAdjacentSelectorImpl extends AbstractSiblingSelector
This class provides an implementation for the `DescendantSelector` interface.

## Field Summary

### Fields inherited from class org.eclipse.e4.ui.css.core.impl.sac.AbstractSiblingSelector

`nodeType, selector, simpleSelector`

### Fields inherited from interface org.w3c.css.sac.Selector

`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

### Fields inherited from interface org.w3c.css.sac.SiblingSelector

`ANY_NODE`

## Constructor Summary

Constructors
Constructor
Description
`CSSDirectAdjacentSelectorImpl(short type, org.w3c.css.sac.Selector parent, org.w3c.css.sac.SimpleSelector simple)`
Creates a new CSSDirectAdjacentSelector object.

## Method Summary

Modifier and Type
Method
Description
`void`
`fillAttributeSet(Set<String> attrSet)`
Fills the given set with the attribute names found in this selector.
`short`
`getSelectorType()`
SAC: Implements `Selector.getSelectorType()`.
`boolean`
`match(Element e, String pseudoE)`
Tests whether this selector matches the given element.
`boolean`
`match(Element e, Node[] hiearchy, int parentIndex, String pseudoE)`
Tests whether this selector matches the given element.
`String`
`toString()`
Returns a representation of the selector.

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.sac.AbstractSiblingSelector

`equals, getNodeType, getSelector, getSiblingSelector, getSpecificity`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CSSDirectAdjacentSelectorImpl

public CSSDirectAdjacentSelectorImpl(short type, org.w3c.css.sac.Selector parent, org.w3c.css.sac.SimpleSelector simple)
Creates a new CSSDirectAdjacentSelector object.

## Method Details

### getSelectorType

public short getSelectorType()
SAC: Implements `Selector.getSelectorType()`.

### match

public boolean match(Element e, Node[] hiearchy, int parentIndex, String pseudoE)
Tests whether this selector matches the given element.

### match

public boolean match(Element e, String pseudoE)
Tests whether this selector matches the given element.

### fillAttributeSet

public void fillAttributeSet(Set<String> attrSet)
Fills the given set with the attribute names found in this selector.

### toString

public String toString()
Returns a representation of the selector.

Overrides:
  `toString` in class `Object`